/****************************************************************
**
** Definition of CIGLWidget class 
**
****************************************************************/

#ifndef CIGLWIDGET_H
#define CIGLWIDGET_H

#include <qgl.h>

class CIGLWidget : public  QGLWidget 
{ 
	Q_OBJECT	
  public:
  CIGLWidget( QWidget *parent=0, const char *name=0 );
  void initializeGL();
  void resizeGL( int w, int h );
  void paintGL();
public slots:
    void setSideNum(int n)  {SideNum=n; initializeGL(); update();}
		void setTwist(int n)  {Twist=n; initializeGL(); update();}
protected:
void mousePressEvent(QMouseEvent*e);
private:
    int SideNum;
		int Twist;
		int lx,ly;
};

#endif
