/****************************************************************
**
** Qt GL 2
**
****************************************************************/

#include <qapplication.h>
#include <qgl.h>

class myGLWidget : public  QGLWidget 
{ public:
myGLWidget( QWidget *parent=0, const char *name=0 ): QGLWidget(parent, name) {}
  void initializeGL()
  {
      // Set up the rendering context, define display lists etc.:
      glClearColor( 0.0, 1.0, 1.0, 0.0 );
  }

  void resizeGL( int w, int h )
  {
      // setup viewport, projection etc.:
      glViewport( 0, 0, (GLint)w, (GLint)h );
  }

  void paintGL()
  {
		glClear(GL_COLOR_BUFFER_BIT);
  }
};



int main( int argc, char **argv )
{
    QApplication a( argc, argv );

		myGLWidget hello(0);
    hello.resize( 100, 30 );

    a.setMainWidget( &hello );
    hello.show();
    return a.exec();
}